LexComparableString (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.util

## Class LexComparableString

- java.lang.Object
- - hlt.language.util.LexComparableString

- All Implemented Interfaces:
    Comparable
  Direct Known Subclasses:
    TupleFieldName

      public class LexComparableString
      extends java.lang.Object
      implements Comparable

  This is a wrapper of the Java `String` class implementing the `Comparable` interface using lexicographic ordering.
  Version:
    Last modified on Tue Jun 19 17:37:42 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © Hassan Aït-Kaci

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LexComparableString(java.lang.String s)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`
    `boolean` | `isEqualTo(java.lang.String string)`
    `boolean` | `lessThan(Comparable other)` Important: this should be a strict inequality.
    `java.lang.String` | `string()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LexComparableString

          public LexComparableString(java.lang.String s)

  - ### Method Detail

    - #### string

          public final java.lang.String string()

    - #### lessThan

          public final boolean lessThan(Comparable other)

      Description copied from interface: `Comparable`
      Important: this should be a strict inequality. In other words, it must return `false` for equal objects. If not, a sorting procedure like QuickSort may loop forever.
      Specified by:
        `lessThan` in interface `Comparable`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isEqualTo

          public final boolean isEqualTo(java.lang.String string)

    - #### equals

          public final boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`